Subject: Re: bug#72778: 31.0.50; Calc: g f doesn't display gnuplot window after closing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Aug 2024 13:00:50 +0300

> Cc: [email-masked], [email-masked]
> Date: Wed, 28 Aug 2024 15:39:21 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Cc: [email-masked]
> > Date: Wed, 28 Aug 2024 11:01:48 +0200
> > From:  Michael Heerdegen via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > Pip Cet <[email-masked]> writes:
> > 
> > > [...]
> > > I've submitted a patch to gnuplot to fix these issues, but a workaround
> > > is required for, at least, existing gnuplot versions.  Sending an extra
> > > newline character preceding each gnuplot command, as Visuwesh's patch
> > > does, should be both safe and effective, even in the case of several
> > > windows being closed prior to the command that would otherwise be
> > > swallowed.
> > 
> > Ok - thank you both, Pip and Visuwesh for investigating.
> > 
> > Eli, should we install that patch (rather master I guess)?  It fixes the
> > problem for me.
> 
> I think we should install on emacs-30, unless someone can thing of any
> potential problem with it.

No objections, so I've now installed the workaround on the emacs-30
branch, and I'm therefore closing this bug.